Bug 566091 - [abrt] crash in gnomint-1.0.0-2.fc12
Summary: [abrt] crash in gnomint-1.0.0-2.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnomint
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Huffman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:967849c4ec1d6f424f1e6badfd3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-17 07:36 UTC by Nikolay Bryskin
Modified: 2010-09-15 05:32 UTC (History)
3 users (show)

Fixed In Version: gnomint-1.2.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-15 05:32:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (16.38 KB, text/plain)
2010-02-17 07:36 UTC, Nikolay Bryskin
no flags Details

Description Nikolay Bryskin 2010-02-17 07:36:31 UTC
abrt 1.0.6 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: gnomint
component: gnomint
executable: /usr/bin/gnomint
kernel: 2.6.31.12-174.2.3.fc12.x86_64
package: gnomint-1.0.0-2.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Create new database
2. Create self-signed CA (root)
3. Sign several requests using it
4. Sign several requests using certificates that have been signed by root
5. Revoke root

Comment 1 Nikolay Bryskin 2010-02-17 07:36:33 UTC
Created attachment 394691 [details]
File: backtrace

Comment 2 Adam Huffman 2010-02-17 08:39:55 UTC
Thanks for the report.  There is a newer version of gnoMint available, which I haven't pushed to F12 yet.  I've been able to reproduce your crash on that newer version, so it clearly hasn't been fixed yet.

I've reported the crash to the upstream developer.

Comment 3 David Marin Carreño 2010-08-11 09:41:19 UTC
Fixed in upstream 1.2.1 version.

Comment 4 Fedora Update System 2010-08-27 11:15:23 UTC
gnomint-1.2.1-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/gnomint-1.2.1-1.fc12

Comment 5 Fedora Update System 2010-08-30 18:20:06 UTC
gnomint-1.2.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnomint'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gnomint-1.2.1-1.fc12

Comment 6 Fedora Update System 2010-09-15 05:31:44 UTC
gnomint-1.2.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.